%define anolis_release 1

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-bluetooth
Epoch:		1
Version:	42.6
Release:    %{anolis_release}%{dist}

Summary:	Bluetooth graphical utilities

License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:	https://download.gnome.org/sources/gnome-bluetooth/42/gnome-bluetooth-%{tarball_version}.tar.xz

BuildRequires: meson >= 0.58.0
BuildRequires: pkgconfig(gio-2.0) >= 2.44
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gsound)
BuildRequires: pkgconfig(gtk4) >= 4.4
BuildRequires: pkgconfig(libadwaita-1) >= 1.1
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(upower-glib) >= 0.99.14
BuildRequires: python3-dbusmock
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel

Provides:	dbus-bluez-pin-helper

# Otherwise we might end up with mismatching version
Requires:	%{name}-libs = %{EVR}
Requires:	bluez >= 5.0
Requires:	pulseaudio-module-bluetooth
Requires:	bluez-obexd

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package libs
Summary:	GTK+ Bluetooth device selection widgets
License:	LGPLv2+

%description libs
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget.

%package libs-devel
Summary:	Development files for %{name}-libs
License:	LGPLv2+
Requires:	%{name}-libs = %{EVR}
Requires:	%{name} = %{EVR}

%description libs-devel
This package contains the libraries and header files that are needed
for writing applications that require a Bluetooth device selection widget.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang gnome-bluetooth-3.0

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/bluetooth-sendto
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth-3.0/
%{_mandir}/man1/*

%files -f gnome-bluetooth-3.0.lang libs
%license COPYING.LIB
%dir %{abidir}
%{_libdir}/libgnome-bluetooth-3.0.so.*
%{abidir}/libgnome-bluetooth-3.0.dump
%{_libdir}/libgnome-bluetooth-ui-3.0.so.*
%{abidir}/libgnome-bluetooth-ui-3.0.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GnomeBluetooth-3.0.typelib

%files libs-devel
%{_includedir}/gnome-bluetooth-3.0/
%{_libdir}/libgnome-bluetooth-3.0.so
%{_libdir}/libgnome-bluetooth-ui-3.0.so
%{_libdir}/pkgconfig/gnome-bluetooth-3.0.pc
%{_libdir}/pkgconfig/gnome-bluetooth-ui-3.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GnomeBluetooth-3.0.gir
%{_datadir}/gtk-doc

%files doc
%doc README.md NEWS ChangeLog.pre-2.27 ChangeLog.README AUTHORS

%changelog
* Thu Aug 24 2023 Funda Wang <fundawang@yeah.net> - 1:42.6-1
- 42.6

* Thu Mar 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 1:42.5-1
- Init package from upstream
